TEMPLATE = app
TARGET = ../../spellathon
DEFINES += NDEBUG
DEPENDPATH += .
INCLUDEPATH += .
CONFIG += release
RESOURCES += pics.qrc
OBJECTS_DIR = ../obj/gui
win32 {
	RC_FILE = win/spth.rc
}

HEADERS += ../logic/defines.h \
           ../logic/dict.h \
           ../logic/game.h \
           main_widget.h \
	   lineeditwc_widget.h \
           ../logic/score.h \
           ../logic/solver.h \
           spellathon_cls.h \
           ../logic/util.h \
		../logic/dispwordsbuf.h \
		puzzletrs_widget.h

win32 {
        FORMS += win/main_widget.ui win/settings_widget.ui
}
!win32 {
	FORMS += main_widget.ui settings_widget.ui
}

SOURCES += ../logic/dict.cc \
           main.cc \
           main_widget.cc \
           ../logic/solver.cc \
           ../logic/game.cc \
           spellathon_cls.cc \
           ../logic/util.cc \
		../logic/dispwordsbuf.cc 
